com.collabnet.ce.soap60.webservices.taskmgr

## Class TaskSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO
    - - com.collabnet.ce.soap60.webservices.taskmgr.TaskSoapDO

-     public class TaskSoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

  The TaskSoapDO class represents the data associated with a task.
  Change History
  Release: 4.2
  - Added constants for list filters.
  - New member field 'includeWeekends' added.
  Since:
    4.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FILTER_ASSIGNED_TO` Filter name for assignedTo.
    `static String` | `FILTER_CREATED_BY` Filter name for createdBy.
    `static String` | `FILTER_PRIORITY` Filter name for priority.
    `static String` | `FILTER_STATUS` Filter name for status.
    `static int` | `PRIORITY_HIGH` Possible value for priority field
    `static int` | `PRIORITY_HIGHEST` Possible value for priority field
    `static int` | `PRIORITY_LOW` Possible value for priority field
    `static int` | `PRIORITY_LOWEST` Possible value for priority field
    `static int` | `PRIORITY_MEDIUM` Possible value for priority field
    `static String` | `STATUS_ALERT` Task status value.
    `static String` | `STATUS_COMPLETE` Task status value.
    `static String` | `STATUS_NOT_STARTED` Task status value.
    `static String` | `STATUS_OK` Task status value.
    `static String` | `STATUS_WARNING` Task status value.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccomplishments()` Returns 'accomplishments'.
    `String` | `getAssignedTo()` Returns 'assignedTo'.
    `String` | `getDescription()` Returns 'description'.
    `Date` | `getEndDate()` Returns 'endDate'.
    `int` | `getEstimatedHours()` Returns 'estimatedHours'.
    `Date` | `getEstimationStart()` Returns 'estimationStart'.
    `boolean` | `getIncludeWeekends()` Returns 'includeWeekends'.
    `String` | `getIssues()` Returns 'issues'.
    `String` | `getPlanned()` Returns 'planned'.
    `int` | `getPriority()` Returns 'priority'.
    `int` | `getRequiredHours()` Returns 'requiredHours'.
    `Date` | `getStartDate()` Returns 'startDate'.
    `String` | `getStatus()` Returns 'status'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setAccomplishments(String accomplishments)` Sets 'accomplishments'.
    `void` | `setAssignedTo(String assignedTo)` Sets 'assignedTo'.
    `void` | `setDescription(String description)` Sets 'description'.
    `void` | `setEndDate(Date endDate)` Sets 'endDate'.
    `void` | `setEstimatedHours(int estimatedHours)` Sets 'estimatedHours'.
    `void` | `setEstimationStart(Date estimationStart)` Sets 'estimationStart'.
    `void` | `setIncludeWeekends(boolean includeWeekends)` Sets 'includeWeekends'.
    `void` | `setIssues(String issues)` Sets 'issues'.
    `void` | `setPlanned(String planned)` Sets 'planned'.
    `void` | `setPriority(int priority)` Sets 'priority'.
    `void` | `setRequiredHours(int requiredHours)` Sets 'requiredHours'.
    `void` | `setStartDate(Date startDate)` Sets 'startDate'.
    `void` | `setStatus(String status)` Sets 'status'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

      `getFolderId, getPath, getTitle, setFolderId, setPath, setTitle`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_NOT_STARTED

          public static final String STATUS_NOT_STARTED

      Task status value.
      See Also:
        Constant Field Values

    - #### STATUS_OK

          public static final String STATUS_OK

      Task status value.
      See Also:
        Constant Field Values

    - #### STATUS_WARNING

          public static final String STATUS_WARNING

      Task status value.
      See Also:
        Constant Field Values

    - #### STATUS_ALERT

          public static final String STATUS_ALERT

      Task status value.
      See Also:
        Constant Field Values

    - #### STATUS_COMPLETE

          public static final String STATUS_COMPLETE

      Task status value.
      See Also:
        Constant Field Values

    - #### PRIORITY_LOWEST

          public static final int PRIORITY_LOWEST

      Possible value for priority field
      See Also:
        Constant Field Values

    - #### PRIORITY_LOW

          public static final int PRIORITY_LOW

      Possible value for priority field
      See Also:
        Constant Field Values

    - #### PRIORITY_MEDIUM

          public static final int PRIORITY_MEDIUM

      Possible value for priority field
      See Also:
        Constant Field Values

    - #### PRIORITY_HIGH

          public static final int PRIORITY_HIGH

      Possible value for priority field
      See Also:
        Constant Field Values

    - #### PRIORITY_HIGHEST

          public static final int PRIORITY_HIGHEST

      Possible value for priority field
      See Also:
        Constant Field Values

    - #### FILTER_STATUS

          public static final String FILTER_STATUS

      Filter name for status.
      See Also:
        Constant Field Values

    - #### FILTER_ASSIGNED_TO

          public static final String FILTER_ASSIGNED_TO

      Filter name for assignedTo.
      See Also:
        Constant Field Values

    - #### FILTER_CREATED_BY

          public static final String FILTER_CREATED_BY

      Filter name for createdBy.
      See Also:
        Constant Field Values

    - #### FILTER_PRIORITY

          public static final String FILTER_PRIORITY

      Filter name for priority.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TaskSoapDO

          public TaskSoapDO()

  - ### Method Detail

    - #### getDescription

          public String getDescription()

      Returns 'description'. The description of the task
      Returns:
        Value of 'description'.

    - #### setDescription

          public void setDescription(String description)

      Sets 'description'. The description of the task
      Parameters:
        `description` - Value of 'description'.

    - #### getEstimatedHours

          public int getEstimatedHours()

      Returns 'estimatedHours'. The number of hours believed needed to complete the task
      Returns:
        Value of 'estimatedHours'.

    - #### setEstimatedHours

          public void setEstimatedHours(int estimatedHours)

      Sets 'estimatedHours'. The number of hours believed needed to complete the task
      Parameters:
        `estimatedHours` - Value of 'estimatedHours'.

    - #### getEstimationStart

          public Date getEstimationStart()

      Returns 'estimationStart'. The date on which the task is estimated to begin
      Returns:
        Value of 'estimationStart'.

    - #### setEstimationStart

          public void setEstimationStart(Date estimationStart)

      Sets 'estimationStart'. The date on which the task is estimated to begin
      Parameters:
        `estimationStart` - Value of 'estimationStart'.

    - #### getStartDate

          public Date getStartDate()

      Returns 'startDate'. The actual date work began on the task
      Returns:
        Value of 'startDate'.

    - #### setStartDate

          public void setStartDate(Date startDate)

      Sets 'startDate'. The actual date work began on the task
      Parameters:
        `startDate` - Value of 'startDate'.

    - #### getEndDate

          public Date getEndDate()

      Returns 'endDate'. The date work completed on the task
      Returns:
        Value of 'endDate'.

    - #### setEndDate

          public void setEndDate(Date endDate)

      Sets 'endDate'. The date work completed on the task
      Parameters:
        `endDate` - Value of 'endDate'.

    - #### getPriority

          public int getPriority()

      Returns 'priority'. The level of importance and/or urgency of the task. See PRIORITY values.
      Returns:
        Value of 'priority'.

    - #### setPriority

          public void setPriority(int priority)

      Sets 'priority'. The level of importance and/or urgency of the task. See PRIORITY values.
      Parameters:
        `priority` - Value of 'priority'.

    - #### getStatus

          public String getStatus()

      Returns 'status'. Task status. See STATUS values.
      Returns:
        Value of 'status'.

    - #### setStatus

          public void setStatus(String status)

      Sets 'status'. Task status. See STATUS values.
      Parameters:
        `status` - Value of 'status'.

    - #### getAccomplishments

          public String getAccomplishments()

      Returns 'accomplishments'. Custom text detailing completed work relating to this task
      Returns:
        Value of 'accomplishments'.

    - #### setAccomplishments

          public void setAccomplishments(String accomplishments)

      Sets 'accomplishments'. Custom text detailing completed work relating to this task
      Parameters:
        `accomplishments` - Value of 'accomplishments'.

    - #### getPlanned

          public String getPlanned()

      Returns 'planned'. Custom text detailing planned work relating to this task
      Returns:
        Value of 'planned'.

    - #### setPlanned

          public void setPlanned(String planned)

      Sets 'planned'. Custom text detailing planned work relating to this task
      Parameters:
        `planned` - Value of 'planned'.

    - #### getIssues

          public String getIssues()

      Returns 'issues'. Custom text detailing issues relating to this task
      Returns:
        Value of 'issues'.

    - #### setIssues

          public void setIssues(String issues)

      Sets 'issues'. Custom text detailing issues relating to this task
      Parameters:
        `issues` - Value of 'issues'.

    - #### getRequiredHours

          public int getRequiredHours()

      Returns 'requiredHours'. The number of hours required to complete the task
      Returns:
        Value of 'requiredHours'.

    - #### setRequiredHours

          public void setRequiredHours(int requiredHours)

      Sets 'requiredHours'. The number of hours required to complete the task
      Parameters:
        `requiredHours` - Value of 'requiredHours'.

    - #### getAssignedTo

          public String getAssignedTo()

      Returns 'assignedTo'. The user assigned to complete this task
      Returns:
        Value of 'assignedTo'.

    - #### setAssignedTo

          public void setAssignedTo(String assignedTo)

      Sets 'assignedTo'. The user assigned to complete this task
      Parameters:
        `assignedTo` - Value of 'assignedTo'.

    - #### getIncludeWeekends

          public boolean getIncludeWeekends()

      Returns 'includeWeekends'.
      Returns:
        Value of 'includeWeekends'.

    - #### setIncludeWeekends

          public void setIncludeWeekends(boolean includeWeekends)

      Sets 'includeWeekends'.
      Parameters:
        `includeWeekends` - Value of 'includeWeekends'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.